#pragma once
class CSite;

// CEditSiteDlg dialog

class CEditSiteDlg : public CDialog
{
	DECLARE_DYNAMIC(CEditSiteDlg)

public:
	CEditSiteDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CEditSiteDlg();

// Dialog Data
	enum { IDD = IDD_EDITSITE_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CString mSiteName;
	CString mURL;
	BOOL mRequiresLogin;
	CString mUsername;
	CString mPassword;
	afx_msg void OnBnClickedAdvanced();

	CSite* mSite;
	BOOL mAutoLogin;
};
